charge in the transaction_type field and Authorization in the transaction_mode field as part of the body of your request.https://api-uat.kushkipagos.com
/pos/v1/transaction in the request body, include charge in the transaction_type field and Authorization in the transaction_mode field. Also, include the value of is_deferred in true, send the deferred object and inmonths, include the total number of months for which your customer’s payment will be deferred.months parameter within the deferred object. The credit_type parameter is not required in these scenarios as it does not apply here."deferred": {
"months": "10"
}https://api-uat.kushkipagos.com
/pos/v1/transaction and include the tip amount in the tip field. Send Authorization in the transaction_mode field and Charge in the transaction_type as part of the request body.The tip amount is in addition to the total amount of the transaction sent in the fields subtotal_ivaorsubtotal_iva0
https://api-uat.kushkipagos.com /pos/v1/transaction and send the value of the is_cashback parameter in true and specify the cashback amount in cashback_amount.Important
Please note that cashback only works with local cards. Cashback is supported for ICC (chip) and NFC (contactless) transactions. It is not supported for MCR (magnetic stripe) transactions. Ensure the reading_typeis not set to MCR.
curl --location 'https://api-uat.kushkipagos.com/pos/v1/transaction' \
--header 'Private-Credential-Id;' \
--header 'Content-Type: application/json' \
--data '{
"amount": {
"currency": "COP",
"iva": 0,
"subtotal_iva": 0,
"subtotal_iva0": 60000,
"tip": 0,
"extra_taxes": {
"airport_tax": 0,
"iac": 0,
"ice": 0,
"travel_agency": 0
}
},
"card_details": {
"enc_tlv": "CE447A062C49774934E42A7F826668C0C478E38402C158062EE794C0E471B43EA8CE49C256C2C8B157526B0B2BE74FC23F65E18D4F52B99A1A0910E6CCD9B11A32D6D537E2B6E2B011C89569DE6A3D53318080BC77E0E70B398ED3083FD7366CCF8FB4DBF34A116E6D52CFBEF26371878D842034E5029EF62DF235D2C427F04102E451773D9E8975978917E3BC531327702967052E239F8C592734AE14688E603C52B858FC1D97B763AE623603F1475FFFB065EC07AF7A29",
"pin_ksn": "FFFF4357486333600002",
"reading_type": "ICC",
"tracks": {
"enc_track2": "283587285CE10278E7FA50AD5C97CFFE87F472C9FE6406F8",
"track_ksn": "FFFF4357486333600002"
}
},
"card": {
"card_holder_name": "John Doe"
},
"contact_details": {
"document_number": "",
"document_type": "-1",
"email": "",
"first_name": "",
"last_name": "",
"second_last_name": "",
"phone_number": ""
},
"pos_details": {
"brand": "SUNMI",
"model": "P2-EU",
"terminal_id": "PB04216R20537",
"version": "Kushki SunmiV1.1.26",
"has_print": true,
"location": {
"latitude": -0.22480833333333333,
"longitude": -78.487955
},
"user": "juan.perez",
"friendly_name": "Caja principal",
"serial": "SN123456",
"type": "COUNTERTOP",
"connectivity": "WIFI"
},
"country": "COL",
"is_deferred": false,
"client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
"merchant_id": 987654321,
"transaction_type": "charge",
"transaction_mode": "Authorization",
"is_cashback": false,
"cvm_type": "none"
}'{
"additional_amounts": {
"account_type": "",
"amount": 0,
"amount_type": "",
"card_type": "",
"currency_code": ""
},
"authorized_amount": 611,
"card_type": "credit",
"cvm_type": "none",
"F11": "101619",
"franchise": "MASTERCARD",
"kushki_response": {
"code": "000",
"message": "Transacción Aprobada."
},
"message_fields": {
"F38": "121866",
"F39": "00"
},
"transaction_reference": "fb1d8f34-31fc-4d9d-ab7e-375d7f0801a5",
"transaction_status": "APPROVAL",
"transaction_type": "charge",
"ticket_number": "111727462978861299"
}